"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dexie_1 = require("dexie/dist/dexie");
const app_configuration_1 = require("../app-configuration");
class PitayaIndexedDbImpl extends dexie_1.default {
    constructor() {
        super(PitayaIndexedDbImpl.NAME);
        this.version(1).stores({
            storage: `++${app_configuration_1.PitayaAppConfiguration.Database.storageIdFieldName}, ${app_configuration_1.PitayaAppConfiguration.Database.userNameFieldName}`,
            users: `++${app_configuration_1.PitayaAppConfiguration.Database.userIdFieldName}, ${app_configuration_1.PitayaAppConfiguration.Database.userNameFieldName}`,
        });
    }
}
PitayaIndexedDbImpl.NAME = "pitayaDB";
exports.PitayaIndexedDb = new PitayaIndexedDbImpl();
//# sourceMappingURL=indexed-db.js.map