import { IAppConfig } from "../interfaces.d";

const _developmentTaskQueue = [];

export const executeDevelopmentQueue = async function( settings: IAppConfig )
{
	if( !settings.Development.enabled )
	{
		return;
	}

	for( const task of _developmentTaskQueue )
	{
		await task( settings );
	}
};

_developmentTaskQueue.push( ( { Development }: IAppConfig ) =>
{
	document.body.classList.add( Development.bodyClassName );
} );